%global srcname requre

Name:           python-%{srcname}
Version:        0.5.0
Release:        1%{?dist}
Summary:        Python library what allows re/store output of various objects for testing

License:        MIT
URL:            https://github.com/packit/requre
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)
BuildRequires:  python3dist(sphinx)

%description
REQUest REcordingRequre [rekure] - Is Library for storing output of various
function and methods to persistent storage and be able to replay the stored
output to functions.

%package -n     python3-%{srcname}
Summary:        %{summary}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_provides
%if 0%{?fedora} < 33
%{?python_provide:%python_provide python3-%{srcname}}
%endif

%description -n python3-%{srcname}
REQUest REcordingRequre [rekure] - Is Library for storing output of various
function and methods to persistent storage and be able to replay the stored
output to functions.

%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{_bindir}/requre-patch
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Dec 08 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.5.0-1
- apply PR suggestion (Jan Ščotka)
- add default decorator and test (Jan Ščotka)
- guess proper return object type based on  return value (Jan Ščotka)
- Link our common contribution guidelines (Matej Focko)
- Fix mypy remark (Matej Focko)
- Move rebase check from pre-commit to pre-push hook (Matej Focko)
- Update docs/filter_format.rst (jscotka)
- Update docs/filter_format.rst (jscotka)
- Update docs/filter_format.rst (jscotka)
- Update docs/filter_format.rst (jscotka)
- Update docs/filter_format.rst (jscotka)
- Update docs/filter_format.rst (jscotka)
- update documentation (Jan Ščotka)
- fix examples (Jan Ščotka)
- fix ip addr and DNS issue inside tests (Jan Ščotka)
- Do not skip bug and security issues by stalebot (Frantisek Lachman)
- Do not run tests for zuul gating (Frantisek Lachman)
- Add more specific type for __replace_module_match_with_multiple_decorators (Frantisek Lachman)
- fix mistake (Jan Ščotka)
- Update requre/modules_decorate_all_methods.py (jscotka)
- apply PR suggestions (Jan Ščotka)
- Allow to use list as parameter for decoratos and add common aliases for decorators. (Jan Ščotka)
- Update pre-commit configuration for prettier (Hunor Csomortáni)
- Copy modules when listing to avoid changes during execution (Frantisek Lachman)
- adapt PR review issues (Jan Ščotka)
- optimise files handling, avoid duplication of stored files in test_data files (Jan Ščotka)
- Document installation instructions in README (Frantisek Lachman)
- Enable all fedora targets for master/release copr builds (Frantisek Lachman)
- Use default packit COPR projects (Frantisek Lachman)

* Tue Sep 22 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.4.0-1
- new upstream release: 0.4.0

* Mon Sep 21 2020 Jan Ščotka <jscotka@redhat.com> - 0.3.0-1
- new upstream release: 0.3.0

* Wed Jan 15 2020 Jan Ščotka <jscotka@redhat.com> - 0.2.0-1
- Initial package.
